[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObjectList.FindWithHash

Find first element with given name and hash value

## Declaration

Source position: contnrs.pp line 313

`public function TFPHashObjectList.FindWithHash(`
`const AName: shortstring;`
`AHash: LongWord`
`):Pointer;`

## Arguments

`AName` |  | Key value to search for.
`AHash` |  | Hash value of the key AName

## Function result

Object instance associated with key AName

## Description

FindWithHash searches for the object with key AName. It uses the provided hash value AHash to perform the search. If the object exists, the data object instance is returned, if not, the result is Nil.

## See also

TFPHashObjectList.HashOfIndex |  | Return the hash valye of an object by index
TFPHashObjectList.NameOfIndex |  | Returns the key name of an object by index
TFPHashObjectList.IndexOf |  | Return the index of the object instance
TFPHashObjectList.Find |  | Find data associated with key
TFPHashObjectList.FindIndexOf |  | Return index of named object.

Documentation generated on: Feb 26 2014